TSMIMEHDRPARSE(3ts)

NAME
TSMimeHdrParse - TSMimeHdrParse API function

SYNOPSIS

            #include <ts/ts.h>

    TSParseResult TSMimeHdrParse(TSMimeParser parser, TSMBuffer bufp, TSMLoc offset, const char **start, const char *end)

DESCRIPTION

Parses a MIME header.

The MIME header must have already been allocated and both bufp and hdr_loc must point within that header. It is possible to parse a MIME header a single byte at a time using repeated calls to TSMimeHdrParse(). As long as an error does not occur, TSMimeHdrParse() consumes each single byte and asks for more.

COPYRIGHT
2025, dev@trafficserver.apache.org